Bug 1157479 - [GSS] (6.3.z) Upgrade JBossWS CXF from 4.3.1.Final-redhat-1 to 4.3.4.Final-redhat-1
Summary: [GSS] (6.3.z) Upgrade JBossWS CXF from 4.3.1.Final-redhat-1 to 4.3.4.Final-re...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Deadline: 2015-01-07
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Web Services
Version: 6.3.2
Hardware: Unspecified
OS: Unspecified
urgent
unspecified
Target Milestone: CR1
: EAP 6.3.3
Assignee: Romain Pelisse
QA Contact: Rostislav Svoboda
URL:
Whiteboard:
: 1168650 1174927 (view as bug list)
Depends On: 1115213 1143935 1153972 1154465 1155325 1157607 1157610 1158330 1164121 1168625 1168630 1174923 1174926
Blocks: eap633-payload 1174927
TreeView+ depends on / blocked
 
Reported: 2014-10-27 10:21 UTC by Mustafa Musaji
Modified: 2019-08-19 12:39 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-08-19 12:39:19 UTC
Type: Component Upgrade


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 1174927 None None None Never
Red Hat Bugzilla 1181733 None None None Never
Red Hat Bugzilla 1181734 None None None Never
Red Hat Bugzilla 1181735 None None None Never

Internal Links: 1174927 1181733 1181734 1181735

Description Mustafa Musaji 2014-10-27 10:21:16 UTC
Description of problem:

JBossWS CXF needs an update in EAP 6.3.1 mainly because of BZ-1157472.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 1 Mustafa Musaji 2014-10-27 10:23:59 UTC
For some reason I can't access BZ-1153968 to add it to the list of depending BZ's for this upgrade

EAP 6.4.0 upgrade BZ contains it - https://bugzilla.redhat.com/show_bug.cgi?id=1153972

Comment 13 Tomas Hofman 2014-12-10 10:26:43 UTC
*** Bug 1168650 has been marked as a duplicate of this bug. ***

Comment 14 Tomas Hofman 2014-12-10 10:43:19 UTC
Changing final version to 4.3.3, in order to solve https://bugzilla.redhat.com/show_bug.cgi?id=1168625

Comment 16 Rostislav Svoboda 2014-12-16 12:58:49 UTC
qa_nacking because of BZ 1157472 - in short we need PicketBox upgrade with 2 fixes.
Details in https://bugzilla.redhat.com/show_bug.cgi?id=1157472#c7

Comment 18 Jim Ma 2014-12-18 11:14:01 UTC
JBWS-CXF 4.3.3.Final already included the workaround for this customer's issue (JBWS-3843):http://svn.jboss.org/repos/jbossws/stack/cxf/tags/jbossws-cxf-4.3.3.Final/modules/server/src/main/java/org/jboss/wsf/stack/cxf/JBossWSInvoker.java (Line 138)  
It doesn't need these 2 fixes in picketbox upgrade.  The picketbox fix is intented to revert this change after it is updated.

Comment 19 Rostislav Svoboda 2014-12-18 11:19:03 UTC
Thanks Jim, PicketBox upgrade is not needed, acking ...

Comment 22 Carlo de Wolf 2015-01-06 08:42:26 UTC
6.x:
https://github.com/jbossas/jboss-eap/pull/1696 (4.3.1.Final)
https://github.com/jbossas/jboss-eap/pull/1783 (4.3.1.Final-redhat-1)
https://github.com/jbossas/jboss-eap/pull/1934 (4.3.2.Final-redhat-1)

Comment 23 Carlo de Wolf 2015-01-06 08:55:54 UTC
6.x:
https://github.com/jbossas/jboss-eap/pull/2143 (4.3.3.Final)
https://github.com/jbossas/jboss-eap/pull/2181 (4.3.4.Final-redhat-1)

Disregard 1696 & 1783, already done in 6.3.2 via https://github.com/jbossas/jboss-eap/pull/1784

Comment 24 Carlo de Wolf 2015-01-06 09:43:54 UTC
*** Bug 1174927 has been marked as a duplicate of this bug. ***

Comment 25 Romain Pelisse 2015-01-06 13:38:21 UTC
PR sent: https://github.com/jbossas/jboss-eap/pull/2195 (and merged)

Comment 26 Romain Pelisse 2015-01-06 13:38:41 UTC
PR sent: https://github.com/jbossas/jboss-eap/pull/2195 (and merged)

Comment 27 Dominik Pospisil 2015-01-06 13:46:07 UTC
Romain, please create the PR for 6.3.x branch than move it to POST not MODIFIED.

Comment 28 Romain Pelisse 2015-01-07 15:12:38 UTC
Here is an overview of the status of this BZ dependencies:

BZ 1157607 - status:     MODIFIED, summary:    (6.3.z) JBossWS - InjectionException: Value already set for this injector
BZ 1157610 - status:     MODIFIED, summary:    (6.3.z) JBossWS - SOAP Web Service Handlers executing in different order when server is restarted
BZ 1168625 - status:     MODIFIED, summary:    (6.3.z) Wrong content type (text/xml) in outgoing multipart SOAPMessage (expected multipart/related; ...)
BZ 1168630 - status:     MODIFIED, summary:    (6.4.0) Upgrade JBossWS CXF from 4.3.2.Final-redhat-1 to 4.3.3.Final-redhat-X and Apache CXF from 2.7.13-redhat-4 to 2.7.14-redhat-X
BZ 1155325 - status:     MODIFIED, summary:    CVE-2012-6153 CVE-2014-3577 Web Services: various flaws [eap-6.3.z]
BZ 1174923 - status:     MODIFIED, summary:    [GSS] (6.3.z) JBWS-3858 - Misconfigured TCCL during endpoint method invocations when Spring integration is enabled
BZ 1158330 - status:     MODIFIED, summary:    [GSS] (6.3.z) Memory leak in JBoss WS CXF Client's HandlerChainSortInterceptor
BZ 1174926 - status:     MODIFIED, summary:    [GSS] (6.4.0) Upgrade JBossWS CXF from 4.3.3.Final-redhat-1 to 4.3.4.Final-redhat-X
BZ 1164121 - status:     POST, summary:    (6.3.z) Upgrade Apache CXF 2.7.12-redhat-1 to 2.7.13-redhat-4
BZ 1154465 - status:     POST, summary:    [GSS] (6.3.z) Repeatedly invoking setHandlerChain() can cause a build up of handler interceptors on the chain
BZ 1153972 - status:     VERIFIED, summary:    (6.4.0) Upgrade JBossWS CXF from 4.3.1.Final to 4.3.2.Final
BZ 1143935 - status:     VERIFIED, summary:    (6.4.0) Upgrade to JBossWS 4.3.1.Final (from 4.3.0.Final-redhat-3)
BZ 1115213 - status:     VERIFIED, summary:    [GSS] (6.4.0) Upgrade Apache CXF 2.7.11-redhat-3 to 2.7.12-redhat

Given that all deps are, at least on POST, I've changed the status to POST. Once the PR2200 will have been merged, both BZ1164121 and BZ1154465 can be moved to MODIFIED, along with this BZ.

Comment 29 Rostislav Svoboda 2015-01-19 10:04:27 UTC
Component upgraded.
Verified on EAP 6.3.3 CR1


Note You need to log in before you can comment on or make changes to this bug.